com.hazelcast.concurrent.atomicreference.operations

## Class GetOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation
    - - com.hazelcast.concurrent.atomicreference.operations.GetOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, com.hazelcast.spi.impl.AllowedDuringPassiveState, NamedOperation, PartitionAwareOperation, ReadonlyOperation

      public class GetOperation
      extends AbstractAtomicReferenceOperation
      implements ReadonlyOperation

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation

      `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetOperation()`
    `GetOperation(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns type identifier for this class.
    `Object` | `getResponse()` Called if and only if `Operation.returnsResponse()` returned `true`, shortly after `Operation.run()` returns.
    `void` | `run()` Runs the operation.

    - ### Methods inherited from class com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation

      `getFactoryId, getName, getReferenceContainer, getServiceName, readInternal, toString, writeInternal`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Constructor Detail

    - #### GetOperation

          public GetOperation()

    - #### GetOperation

          public GetOperation(String name)

  - ### Method Detail

    - #### run

          public void run()
                   throws Exception

      Description copied from class: `Operation`
      Runs the operation. Either the `Operation.run()` or `Operation.call()` method should be implemented; not both. Runs after wait-support, supposed to do actual operation
      Overrides:
        `run` in class `Operation`
      Throws:
        `Exception`
      See Also:
        `Operation.call()`

    - #### getResponse

          public Object getResponse()

      Description copied from class: `Operation`
      Called if and only if `Operation.returnsResponse()` returned `true`, shortly after `Operation.run()` returns.
      Overrides:
        `getResponse` in class `Operation`

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

Copyright © 2020. All rights reserved.